package w83b.w83bBeans;



import java.sql.ResultSet;
import java.sql.SQLException;

import w83b.util.jdbc.W83bDataBase;
import w83b.w83bDAO.w83bConstantesBD.W83bDiferenciasBD;
import w83b.w83bDAO.w83bConstantesBD.W83bSindicatosBD;

import es.ejie.frmk.infraestructura.internacionalizacion.Q70GestorMensajesException;


/*
 * @author jrgil 
 */
public class W83bDiferenciasBean extends W83bBaseBean implements W83bBaseBeanBD{
	private static final long	serialVersionUID	= 1L;

	private String	actaTerritorio = "";
	private String	actaAnyo = "";
	private String	actaNum = "";
	private String	version = "";
	private String	codColegio = "";
	private String	idSindicato = "";
	private String	codSindicato = "";
	private String	siglasSindicato = "";
	private String	numDelegadosHombres = "";
	private String	numDelegadosMujeres = "";
	private String	usuario = "";
	private String	factura = "";

	public String getActaTerritorio() {
		return actaTerritorio;
	}

	public void setActaTerritorio(String actaTerritorio) {
		this.actaTerritorio = actaTerritorio;
	}


	public String getActaAnyo() {
		return actaAnyo;
	}

	public void setActaAnyo(String actaAnyo) {
		this.actaAnyo = actaAnyo;
	}


	public String getActaNum() {
		return actaNum;
	}

	public void setActaNum(String actaNum) {
		this.actaNum = actaNum;
	}
	
	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}
	
	public String getCodColegio() {
		return codColegio;
	}

	public void setCodColegio(String codColegio) {
		this.codColegio = codColegio;
	}

	public String getCodSindicato() {
		return codSindicato;
	}

	public void setCodSindicato(String codSindicato) {
		this.codSindicato = codSindicato;
	}

	public String getNumDelegadosHombres() {
		return numDelegadosHombres;
	}

	public void setNumDelegadosHombres(String numDelegadosHombres) {
		this.numDelegadosHombres = numDelegadosHombres;
	}

	public String getNumDelegadosMujeres() {
		return numDelegadosMujeres;
	}

	public void setNumDelegadosMujeres(String numDelegadosMujeres) {
		this.numDelegadosMujeres = numDelegadosMujeres;
	}

	public String getUsuario() {
		return usuario;
	}
	
	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}
	
	public String getFactura() {
		return factura;
	}

	public void setFactura(String factura) {
		this.factura = factura;
	}

	public void setSiglasSindicato(String siglasSindicato) {
		this.siglasSindicato = siglasSindicato;
	}

	public void setIdSindicato(String idSindicato) {
		this.idSindicato = idSindicato;
	}

	public String getIdSindicato() {
		return idSindicato;
	}

	public String getSiglasSindicato() {
		return siglasSindicato;
	}

	public Object rowToBean(Object o, Object otrosValores) throws SQLException, Q70GestorMensajesException {
		// TODO Auto-generated method stub
		ResultSet rs= (ResultSet)o;//NOPMD
		this.actaTerritorio = W83bDataBase.getStringFromRS(rs, W83bDiferenciasBD.territorioActa);
		this.actaAnyo = W83bDataBase.getStringFromRS(rs, W83bDiferenciasBD.anyoActa);
		this.actaNum = W83bDataBase.getStringFromRS(rs, W83bDiferenciasBD.acta);
		this.version = W83bDataBase.getStringFromRS(rs, W83bDiferenciasBD.versionActa);
		this.codColegio = W83bDataBase.getStringFromRS(rs, W83bDiferenciasBD.codigoColegio);
		this.codSindicato = W83bDataBase.getStringFromRS(rs, W83bDiferenciasBD.codSind);
		this.idSindicato = W83bDataBase.getStringFromRS(rs, W83bSindicatosBD.codSindicato);
		this.siglasSindicato = W83bDataBase.getStringFromRS(rs, W83bSindicatosBD.siglas);
		this.numDelegadosHombres = W83bDataBase.getStringFromRS(rs, W83bDiferenciasBD.delegadosHombres);
		this.numDelegadosMujeres = W83bDataBase.getStringFromRS(rs, W83bDiferenciasBD.delegadosMujeres);
		this.usuario = W83bDataBase.getStringFromRS(rs, W83bDiferenciasBD.usuario);
		this.factura = W83bDataBase.getStringFromRS(rs, W83bDiferenciasBD.fecha);
		
		return this;
	}


	
}
